Package org.codehaus.groovy.runtime.dgmimpl

# Class NumberNumberMetaMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `NumberNumberDiv`, `NumberNumberMinus`, `NumberNumberMultiply`, `NumberNumberPlus`

    public abstract class NumberNumberMetaMethod
    extends CallSiteAwareMetaMethod

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `NumberNumberMetaMethod.NumberNumberCallSite` |

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

  ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `isVargsMethod, nativeParamTypes, parameterTypes`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `NumberNumberMetaMethod()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `abstract CallSite` | `createDoubleDouble​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createDoubleFloat​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createDoubleInteger​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createDoubleLong​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createFloatDouble​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createFloatFloat​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createFloatInteger​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createFloatLong​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createIntegerDouble​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createIntegerFloat​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createIntegerInteger​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createIntegerLong​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createLongDouble​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createLongFloat​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createLongInteger​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createLongLong​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `abstract CallSite` | `createNumberNumber​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `CallSite` | `createPojoCallSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)` |
  `CachedClass` | `getDeclaringClass()` | Gets the class where this method is declared
  `int` | `getModifiers()` | Returns the modifiers for this method
  `Class` | `getReturnType()` | Access the return type for this method

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getName, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberNumberMetaMethod

    protected NumberNumberMetaMethod()

- ## Method Details

  - ### getModifiers

    public int getModifiers()
    Description copied from class: `MetaMethod`
    Returns the modifiers for this method
    Specified by:
      `getModifiers` in class `MetaMethod`
    Returns:
      modifiers as an int.

  - ### getReturnType

    public Class getReturnType()
    Description copied from class: `MetaMethod`
    Access the return type for this method
    Specified by:
      `getReturnType` in class `MetaMethod`
    Returns:
      the return type of this method

  - ### getDeclaringClass

    public final CachedClass getDeclaringClass()
    Description copied from class: `MetaMethod`
    Gets the class where this method is declared
    Specified by:
      `getDeclaringClass` in class `MetaMethod`
    Returns:
      class of this method

  - ### createPojoCallSite

    public CallSite createPojoCallSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)
    Specified by:
      `createPojoCallSite` in class `CallSiteAwareMetaMethod`

  - ### createIntegerInteger

    public abstract CallSite createIntegerInteger​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createIntegerLong

    public abstract CallSite createIntegerLong​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createIntegerFloat

    public abstract CallSite createIntegerFloat​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createIntegerDouble

    public abstract CallSite createIntegerDouble​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createLongInteger

    public abstract CallSite createLongInteger​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createLongLong

    public abstract CallSite createLongLong​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createLongFloat

    public abstract CallSite createLongFloat​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createLongDouble

    public abstract CallSite createLongDouble​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createFloatInteger

    public abstract CallSite createFloatInteger​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createFloatLong

    public abstract CallSite createFloatLong​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createFloatFloat

    public abstract CallSite createFloatFloat​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createFloatDouble

    public abstract CallSite createFloatDouble​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createDoubleInteger

    public abstract CallSite createDoubleInteger​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createDoubleLong

    public abstract CallSite createDoubleLong​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createDoubleFloat

    public abstract CallSite createDoubleFloat​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createDoubleDouble

    public abstract CallSite createDoubleDouble​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

  - ### createNumberNumber

    public abstract CallSite createNumberNumber​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)